Useko Netsumi wrote:

> Will this edition cover Ruby 1.8(alpha/beta)?

No, this book was published in January 2002.